Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Monium
  • Getting started
  • Overview
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
          • ListOperations
          • ListAccessBindings
          • SetAccessBindings
          • UpdateAccessBindings
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Yds
  • S3
  1. API reference
  2. Logs
  3. REST
  4. Sink
  5. Get

Cloud Logging Service, REST: Sink.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Yds
  • S3

Returns the specified sink.
To get the list of all available sinks, make a List request.

HTTP requestHTTP request

GET https://logging.api.cloud.yandex.net/logging/v1/sinks/{sinkId}

Path parametersPath parameters

Field

Description

sinkId

string

Required field. ID of the sink to return.
To get a sink ID make a SinkService.List request.

The maximum string length in characters is 64.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "cloudId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "serviceAccountId": "string",
  // Includes only one of the fields `yds`, `s3`
  "yds": {
    "streamName": "string"
  },
  "s3": {
    "bucket": "string",
    "prefix": "string"
  }
  // end of the list of possible fields
}

Field

Description

id

string

Sink ID.

folderId

string

Sink folder ID.

cloudId

string

Sink cloud ID.

createdAt

string (date-time)

Sink creation time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Sink name.

description

string

Sink description.

labels

object (map<string, string>)

Sink labels.

serviceAccountId

string

Logs will be written to the sink on behalf of this service account

yds

Yds

Yandex data stream

Includes only one of the fields yds, s3.

s3

S3

Object storage

Includes only one of the fields yds, s3.

YdsYds

Logs destination

Field

Description

streamName

string

Fully qualified name of data stream

The maximum string length in characters is 512.

S3S3

Field

Description

bucket

string

Object storage bucket

Value must match the regular expression [a-zA-Z0-9][-a-zA-Z0-9.]{2,62}.

prefix

string

Prefix to use for saved log object names

The maximum string length in characters is 1024.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.